# Class PolyLine


### Extends
* [Layer](_layer_.layer.md)

## Index

### Constructors
* [constructor](_layer_.polyline.md#constructor)

### Properties
* [_layer](_layer_.polyline.md#_layer)
* [_map](_layer_.polyline.md#_map)
* [_source](_layer_.polyline.md#_source)
* [draggable](_layer_.polyline.md#draggable)
* [id](_layer_.polyline.md#id)
* [type](_layer_.polyline.md#type)

### Methods
* [addTo](_layer_.polyline.md#addto)
* [off](_layer_.polyline.md#off)
* [on](_layer_.polyline.md#on)

### Object literals
* [defaultStyle](_layer_.polyline.md#defaultstyle)

## Constructors

### new PolyLine(geom: [number, number], options?: any): [PolyLine](_layer_.polyline.md)
  
* Overwrites [Layer](_layer_.layer.md).[constructor](_layer_.layer.md#constructor)
* Defined in Layer.ts:200


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| geom | [number, number]| Geometry object, an array of positions. A position is represented by an array of numbers. There must be at least two elements, and may be more. The order of elements must follow x, y, z order (easting, northing, altitude for coordinates in a projected coordinate reference system, or longitude, latitude, altitude for coordinates in a geographic coordinate reference system). |
| options? | any|  |

#### Returns: [PolyLine](_layer_.polyline.md)

## Properties

### _layer: any

* Inherited from [Layer](_layer_.layer.md).[_layer](_layer_.layer.md#_layer)
* Defined in Layer.ts:13


### _map: any

* Inherited from [Layer](_layer_.layer.md).[_map](_layer_.layer.md#_map)
* Defined in Layer.ts:15


### _source: [Source](_source_.source.md)

* Overwrites [Layer](_layer_.layer.md).[_source](_layer_.layer.md#_source)
* Defined in Layer.ts:188


### draggable: boolean

* Inherited from [Layer](_layer_.layer.md).[draggable](_layer_.layer.md#draggable)
* Defined in Layer.ts:16


### id: string

* Inherited from [Layer](_layer_.layer.md).[id](_layer_.layer.md#id)
* Defined in Layer.ts:12


### type: string

* Inherited from [Layer](_layer_.layer.md).[type](_layer_.layer.md#type)
* Defined in Layer.ts:17


## Methods

### addTo(map: [Map](_map_.map.md)): [Layer](_layer_.layer.md)
  
* Inherited from [Layer](_layer_.layer.md).[addTo](_layer_.layer.md#addto)
* Defined in Layer.ts:37


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [Layer](_layer_.layer.md)

### off(event?: string, listener?: any): [Layer](_layer_.layer.md)
  
* Inherited from [Layer](_layer_.layer.md).[off](_layer_.layer.md#off)
* Overwrites [Events](_events_.events.md).[off](_events_.events.md#off)
* Defined in Layer.ts:58


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event? | string|  |
| listener? | any|  |

#### Returns: [Layer](_layer_.layer.md)

### on(event: string, listener: any): [Layer](_layer_.layer.md)
  
* Inherited from [Layer](_layer_.layer.md).[on](_layer_.layer.md#on)
* Overwrites [Events](_events_.events.md).[on](_events_.events.md#on)
* Defined in Layer.ts:45


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| event | string|  |
| listener | any|  |

#### Returns: [Layer](_layer_.layer.md)

## Object literals

### Static defaultStyle: object

* Defined in Layer.ts:190


### type: string

* Defined in Layer.ts:191


### layout: object

* Defined in Layer.ts:196


### line-cap: string

* Defined in Layer.ts:197


### line-join: string

* Defined in Layer.ts:198


### paint: object

* Defined in Layer.ts:192


### line-color: string

* Defined in Layer.ts:193


### line-width: number

* Defined in Layer.ts:194



Generated using [TypeDoc](http://typedoc.io)
